<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: RemotePlayerDamageDebug Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d6a/class_remote_player_damage_debug.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">RemotePlayerDamageDebug Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ae1f1a24f836300eab09fc22cf77c8007"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6a/class_remote_player_damage_debug.html#ae1f1a24f836300eab09fc22cf77c8007">RemotePlayerDamageDebug</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:ae1f1a24f836300eab09fc22cf77c8007"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a240490b311b87235ed6be55c370fa7bb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6a/class_remote_player_damage_debug.html#a240490b311b87235ed6be55c370fa7bb">AddDamage</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> value_global, <a class="el" href="../../d4/dc3/classfloat.html">float</a> value_blood, <a class="el" href="../../d4/dc3/classfloat.html">float</a> value_shock)</td></tr>
<tr class="separator:a240490b311b87235ed6be55c370fa7bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ebe65f7f9d801b35a7cc870ce21097a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6a/class_remote_player_damage_debug.html#a3ebe65f7f9d801b35a7cc870ce21097a">InsertDamageObject</a> (<a class="el" href="../../d2/ddb/class_damage_data.html">DamageData</a> damage_object)</td></tr>
<tr class="separator:a3ebe65f7f9d801b35a7cc870ce21097a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79e46505ba3e203540f79b3605b75cef"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6a/class_remote_player_damage_debug.html#a79e46505ba3e203540f79b3605b75cef">GetPlayer</a> ()</td></tr>
<tr class="separator:a79e46505ba3e203540f79b3605b75cef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa460e775e58bded39e02612e6abe8864"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6a/class_remote_player_damage_debug.html#aa460e775e58bded39e02612e6abe8864">Get</a> (<a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d2/ddb/class_damage_data.html">DamageData</a> &gt; damage_list)</td></tr>
<tr class="separator:aa460e775e58bded39e02612e6abe8864"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad62695cf1b488a573e36de1c8eeabb4f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6a/class_remote_player_damage_debug.html#ad62695cf1b488a573e36de1c8eeabb4f">GetReversed</a> (<a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d2/ddb/class_damage_data.html">DamageData</a> &gt; damage_list)</td></tr>
<tr class="separator:ad62695cf1b488a573e36de1c8eeabb4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2bda9b8cf65a61bdfc17dfbf7388b7a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6a/class_remote_player_damage_debug.html#af2bda9b8cf65a61bdfc17dfbf7388b7a">Serialize</a> (<a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d7/d6a/class_remote_player_damage_debug.html">RemotePlayerDamageDebug</a> &gt; list)</td></tr>
<tr class="separator:af2bda9b8cf65a61bdfc17dfbf7388b7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a75dd2263c59cbbe8e01c4427ffef5b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6a/class_remote_player_damage_debug.html#a1a75dd2263c59cbbe8e01c4427ffef5b">Debug</a> ()</td></tr>
<tr class="separator:a1a75dd2263c59cbbe8e01c4427ffef5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aab6c9d752ef7225242344beb04517baa"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6a/class_remote_player_damage_debug.html#aab6c9d752ef7225242344beb04517baa">MAX_DAMAGE_RECORDS</a> = 5</td></tr>
<tr class="separator:aab6c9d752ef7225242344beb04517baa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a275c52abe410310866b5ee3762218967"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6a/class_remote_player_damage_debug.html#a275c52abe410310866b5ee3762218967">m_Player</a></td></tr>
<tr class="separator:a275c52abe410310866b5ee3762218967"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6ab5a2c9369f0fce705c16dd691a3b3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6a/class_remote_player_damage_debug.html#ae6ab5a2c9369f0fce705c16dd691a3b3">m_ChangedSinceSerialization</a></td></tr>
<tr class="separator:ae6ab5a2c9369f0fce705c16dd691a3b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad17da61370116c90e76c6bdc31bc753e"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d2/ddb/class_damage_data.html">DamageData</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d6a/class_remote_player_damage_debug.html#ad17da61370116c90e76c6bdc31bc753e">m_DamageList</a> = new <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;ref <a class="el" href="../../d2/ddb/class_damage_data.html">DamageData</a>&gt;</td></tr>
<tr class="separator:ad17da61370116c90e76c6bdc31bc753e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html#l00001">1</a> of file <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html">RemotePlayerDamageDebug.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ae1f1a24f836300eab09fc22cf77c8007" name="ae1f1a24f836300eab09fc22cf77c8007"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1f1a24f836300eab09fc22cf77c8007">&#9670;&#160;</a></span>RemotePlayerDamageDebug()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void RemotePlayerDamageDebug::RemotePlayerDamageDebug </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html#l00009">9</a> of file <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html">RemotePlayerDamageDebug.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a240490b311b87235ed6be55c370fa7bb" name="a240490b311b87235ed6be55c370fa7bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a240490b311b87235ed6be55c370fa7bb">&#9670;&#160;</a></span>AddDamage()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void RemotePlayerDamageDebug::AddDamage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>value_global</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>value_blood</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>value_shock</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html#l00014">14</a> of file <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html">RemotePlayerDamageDebug.c</a>.</p>

</div>
</div>
<a id="a1a75dd2263c59cbbe8e01c4427ffef5b" name="a1a75dd2263c59cbbe8e01c4427ffef5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a75dd2263c59cbbe8e01c4427ffef5b">&#9670;&#160;</a></span>Debug()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void RemotePlayerDamageDebug::Debug </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html#l00063">63</a> of file <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html">RemotePlayerDamageDebug.c</a>.</p>

</div>
</div>
<a id="aa460e775e58bded39e02612e6abe8864" name="aa460e775e58bded39e02612e6abe8864"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa460e775e58bded39e02612e6abe8864">&#9670;&#160;</a></span>Get()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void RemotePlayerDamageDebug::Get </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d2/ddb/class_damage_data.html">DamageData</a> &gt;&#160;</td>
          <td class="paramname"><em>damage_list</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html#l00037">37</a> of file <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html">RemotePlayerDamageDebug.c</a>.</p>

</div>
</div>
<a id="a79e46505ba3e203540f79b3605b75cef" name="a79e46505ba3e203540f79b3605b75cef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79e46505ba3e203540f79b3605b75cef">&#9670;&#160;</a></span>GetPlayer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> RemotePlayerDamageDebug::GetPlayer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html#l00031">31</a> of file <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html">RemotePlayerDamageDebug.c</a>.</p>

</div>
</div>
<a id="ad62695cf1b488a573e36de1c8eeabb4f" name="ad62695cf1b488a573e36de1c8eeabb4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad62695cf1b488a573e36de1c8eeabb4f">&#9670;&#160;</a></span>GetReversed()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void RemotePlayerDamageDebug::GetReversed </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d2/ddb/class_damage_data.html">DamageData</a> &gt;&#160;</td>
          <td class="paramname"><em>damage_list</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html#l00045">45</a> of file <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html">RemotePlayerDamageDebug.c</a>.</p>

</div>
</div>
<a id="a3ebe65f7f9d801b35a7cc870ce21097a" name="a3ebe65f7f9d801b35a7cc870ce21097a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ebe65f7f9d801b35a7cc870ce21097a">&#9670;&#160;</a></span>InsertDamageObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void RemotePlayerDamageDebug::InsertDamageObject </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/ddb/class_damage_data.html">DamageData</a>&#160;</td>
          <td class="paramname"><em>damage_object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html#l00025">25</a> of file <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html">RemotePlayerDamageDebug.c</a>.</p>

</div>
</div>
<a id="af2bda9b8cf65a61bdfc17dfbf7388b7a" name="af2bda9b8cf65a61bdfc17dfbf7388b7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2bda9b8cf65a61bdfc17dfbf7388b7a">&#9670;&#160;</a></span>Serialize()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void RemotePlayerDamageDebug::Serialize </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d7/d6a/class_remote_player_damage_debug.html">RemotePlayerDamageDebug</a> &gt;&#160;</td>
          <td class="paramname"><em>list</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html#l00054">54</a> of file <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html">RemotePlayerDamageDebug.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ae6ab5a2c9369f0fce705c16dd691a3b3" name="ae6ab5a2c9369f0fce705c16dd691a3b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6ab5a2c9369f0fce705c16dd691a3b3">&#9670;&#160;</a></span>m_ChangedSinceSerialization</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> RemotePlayerDamageDebug::m_ChangedSinceSerialization</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html#l00005">5</a> of file <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html">RemotePlayerDamageDebug.c</a>.</p>

</div>
</div>
<a id="ad17da61370116c90e76c6bdc31bc753e" name="ad17da61370116c90e76c6bdc31bc753e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad17da61370116c90e76c6bdc31bc753e">&#9670;&#160;</a></span>m_DamageList</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;ref <a class="el" href="../../d2/ddb/class_damage_data.html">DamageData</a>&gt; RemotePlayerDamageDebug::m_DamageList = new <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;ref <a class="el" href="../../d2/ddb/class_damage_data.html">DamageData</a>&gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html#l00007">7</a> of file <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html">RemotePlayerDamageDebug.c</a>.</p>

</div>
</div>
<a id="a275c52abe410310866b5ee3762218967" name="a275c52abe410310866b5ee3762218967"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a275c52abe410310866b5ee3762218967">&#9670;&#160;</a></span>m_Player</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> RemotePlayerDamageDebug::m_Player</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html#l00004">4</a> of file <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html">RemotePlayerDamageDebug.c</a>.</p>

</div>
</div>
<a id="aab6c9d752ef7225242344beb04517baa" name="aab6c9d752ef7225242344beb04517baa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab6c9d752ef7225242344beb04517baa">&#9670;&#160;</a></span>MAX_DAMAGE_RECORDS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> RemotePlayerDamageDebug::MAX_DAMAGE_RECORDS = 5</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html#l00003">3</a> of file <a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html">RemotePlayerDamageDebug.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/RemotePlayerDebug/<a class="el" href="../../d4/d45/_remote_player_damage_debug_8c_source.html">RemotePlayerDamageDebug.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d7/d6a/class_remote_player_damage_debug.html">RemotePlayerDamageDebug</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
